Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.context
Class AjaxContext

    java.lang.Object
      org.ajax4jsf.context.AjaxContext

    public abstract class AjaxContext

extends java.lang.Object

Field Summary
`static java.lang.String` | `AJAX_CONTEXT_KEY` Key for keep request state information in request-scope attributes.

Constructor Summary
`protected` | `AjaxContext()`

Method Summary
`abstract void` | `addAreasToProcessFromComponent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`abstract void` | `addComponentToAjaxRender(javax.faces.component.UIComponent component)`
`abstract void` | `addComponentToAjaxRender(javax.faces.component.UIComponent base, java.lang.String id)`
`abstract void` | `addRegionsFromComponent(javax.faces.component.UIComponent component)`
`abstract void` | `addRenderedArea(java.lang.String id)`
`abstract void` | `appendOncomplete(java.lang.Object oncompleteFunction)`
`abstract void` | `decode(javax.faces.context.FacesContext context)`
`abstract void` | `encodeAjaxBegin(javax.faces.context.FacesContext context)`
`abstract void` | `encodeAjaxEnd(javax.faces.context.FacesContext context)`
`abstract java.lang.String` | `getAjaxActionURL(javax.faces.context.FacesContext context)`
`abstract java.util.Set<java.lang.String>` | `getAjaxAreasToProcess()`
`abstract java.util.Set<java.lang.String>` | `getAjaxAreasToRender()`
`abstract java.util.Set<java.lang.String>` | `getAjaxRenderedAreas()`
`abstract java.lang.String` | `getAjaxSingleClientId()`
`abstract java.util.Map<java.lang.String,java.lang.Object>` | `getCommonAjaxParameters()`
`static AjaxContext` | `getCurrentInstance()` Get instance of current AJAX Context.
`static AjaxContext` | `getCurrentInstance(javax.faces.context.FacesContext context)` Get instance of current AJAX Context.
`abstract java.lang.Object` | `getOnbeforedomupdate()`
`abstract java.lang.Object` | `getOncomplete()`
`abstract java.util.Map<java.lang.String,java.lang.Object>` | `getResponseComponentDataMap()`
`abstract java.lang.Object` | `getResponseData()`
`abstract java.lang.String` | `getSubmittedRegionClientId()`
`abstract ViewIdHolder` | `getViewIdHolder()`
`abstract boolean` | `isAjaxRequest()`
`boolean` | `isAjaxRequest(javax.faces.context.FacesContext facesContext)`
`boolean` | `isLimitToList()`
`abstract boolean` | `isSelfRender()`
`abstract void` | `release()`
`abstract boolean` | `removeRenderedArea(java.lang.String id)`
`abstract void` | `renderAjax(javax.faces.context.FacesContext context)`
`abstract void` | `saveViewState(javax.faces.context.FacesContext context)`
`abstract void` | `setAjaxAreasToProcess(java.util.Set<java.lang.String> ajaxAreasToProcess)`
`abstract void` | `setAjaxRequest(boolean b)`
`abstract void` | `setAjaxSingleClientId(java.lang.String ajaxSingleClientId)`
`void` | `setLimitToList(boolean limitToList)`
`abstract void` | `setOnbeforedomupdate(java.lang.Object onbeforedomupdateFunction)`
`abstract void` | `setOncomplete(java.lang.Object oncompleteFunction)`
`abstract void` | `setResponseData(java.lang.Object responseData)`
`abstract void` | `setSelfRender(boolean b)`
`abstract void` | `setSubmittedRegionClientId(java.lang.String submittedClientId)`
`abstract void` | `setViewIdHolder(ViewIdHolder viewIdHolder)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AJAX_CONTEXT_KEY

    public static final java.lang.String AJAX_CONTEXT_KEY

  Key for keep request state information in request-scope attributes.

  See Also:
    Constant Field Values

Constructor Detail

### AjaxContext

    protected AjaxContext()

Method Detail

### getCommonAjaxParameters

    public abstract java.util.Map<java.lang.String,java.lang.Object> getCommonAjaxParameters()

### getAjaxActionURL

    public abstract java.lang.String getAjaxActionURL(javax.faces.context.FacesContext context)

### setResponseData

    public abstract void setResponseData(java.lang.Object responseData)

### getResponseData

    public abstract java.lang.Object getResponseData()

### setOncomplete

    public abstract void setOncomplete(java.lang.Object oncompleteFunction)

### appendOncomplete

    public abstract void appendOncomplete(java.lang.Object oncompleteFunction)

### getOncomplete

    public abstract java.lang.Object getOncomplete()

### setOnbeforedomupdate

    public abstract void setOnbeforedomupdate(java.lang.Object onbeforedomupdateFunction)

### getOnbeforedomupdate

    public abstract java.lang.Object getOnbeforedomupdate()

### setViewIdHolder

    public abstract void setViewIdHolder(ViewIdHolder viewIdHolder)

### getViewIdHolder

    public abstract ViewIdHolder getViewIdHolder()

### removeRenderedArea

    public abstract boolean removeRenderedArea(java.lang.String id)

### addRenderedArea

    public abstract void addRenderedArea(java.lang.String id)

### getAjaxRenderedAreas

    public abstract java.util.Set<java.lang.String> getAjaxRenderedAreas()

### addComponentToAjaxRender

    public abstract void addComponentToAjaxRender(javax.faces.component.UIComponent base,
                                                  java.lang.String id)

### addComponentToAjaxRender

    public abstract void addComponentToAjaxRender(javax.faces.component.UIComponent component)

### addRegionsFromComponent

    public abstract void addRegionsFromComponent(javax.faces.component.UIComponent component)

### addAreasToProcessFromComponent

    public abstract void addAreasToProcessFromComponent(javax.faces.context.FacesContext context,
                                                        javax.faces.component.UIComponent component)

  Parameters:
    `component` -
  Since:
    3.3.0

### getAjaxAreasToRender

    public abstract java.util.Set<java.lang.String> getAjaxAreasToRender()

### getAjaxAreasToProcess

    public abstract java.util.Set<java.lang.String> getAjaxAreasToProcess()

### isAjaxRequest

    public boolean isAjaxRequest(javax.faces.context.FacesContext facesContext)

### isAjaxRequest

    public abstract boolean isAjaxRequest()

### encodeAjaxEnd

    public abstract void encodeAjaxEnd(javax.faces.context.FacesContext context)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeAjaxBegin

    public abstract void encodeAjaxBegin(javax.faces.context.FacesContext context)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderAjax

    public abstract void renderAjax(javax.faces.context.FacesContext context)

### decode

    public abstract void decode(javax.faces.context.FacesContext context)

### release

    public abstract void release()

### getResponseComponentDataMap

    public abstract java.util.Map<java.lang.String,java.lang.Object> getResponseComponentDataMap()

### setAjaxRequest

    public abstract void setAjaxRequest(boolean b)

### isSelfRender

    public abstract boolean isSelfRender()

### setSelfRender

    public abstract void setSelfRender(boolean b)

### getSubmittedRegionClientId

    public abstract java.lang.String getSubmittedRegionClientId()

### saveViewState

    public abstract void saveViewState(javax.faces.context.FacesContext context)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### setAjaxSingleClientId

    public abstract void setAjaxSingleClientId(java.lang.String ajaxSingleClientId)

### getAjaxSingleClientId

    public abstract java.lang.String getAjaxSingleClientId()

### setAjaxAreasToProcess

    public abstract void setAjaxAreasToProcess(java.util.Set<java.lang.String> ajaxAreasToProcess)

### setSubmittedRegionClientId

    public abstract void setSubmittedRegionClientId(java.lang.String submittedClientId)

### isLimitToList

    public boolean isLimitToList()

### setLimitToList

    public void setLimitToList(boolean limitToList)

### getCurrentInstance

    public static AjaxContext getCurrentInstance()

  Get instance of current AJAX Context. Instance get by variable `AJAX_CONTEXT_KEY`

  Returns:
    memento instance for current request

### getCurrentInstance

    public static AjaxContext getCurrentInstance(javax.faces.context.FacesContext context)

  Get instance of current AJAX Context. Instance get by variable `AJAX_CONTEXT_KEY`

  Parameters:
    `context` - current FacesContext
  Returns:
    instance of AjaxContext.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.